Bug 1127751 - Not customized agent configuration files should not be preserved after upgrade
Summary: Not customized agent configuration files should not be preserved after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Agent, Upgrade
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: DR01
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 13:19 UTC by Jan Bednarik
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 13:59:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Bednarik 2014-08-07 13:19:03 UTC
Description of problem:

This BZ was originally filed as BZ 1101128

Description of problem:
When upgrading RHQ server from version 4.9 to 4.11, the agent's configuration files 'agent-configuration.xml' and 'log4j.xml' get preserved even if they were not changed by user.

How reproducible:
always

Steps to Reproduce:
1. Install JON server 3.2.0
2. Upgrade to JON server 3.3.0
3. Check that there are two new files 'agent-configuration.xml.new' and 'log4j.xml.new' present in the directory ~/rhq-agent/conf.

Actual results:
Files 'agent-configuration.xml.new' and 'log4j.xml.new' representing new agent's configuration are present along the old untouched configuration files 'agent-configuration.xml' and 'log4j.xml'.

Expected results:
Only two files named as 'agent-configuration.xml' and 'log4j.xml' representing new agent's configuration are present and the old configuration files are not preserved.

Additional info:

Comment 1 Jan Bednarik 2014-08-07 14:26:54 UTC
The main problem is, that the agent is not using the new configuration files after the upgrade now matter if the user changed the original files or not. See this BZ - https://bugzilla.redhat.com/show_bug.cgi?id=823965#c20 for additional info.

Comment 2 Stefan Negrea 2014-09-02 20:36:57 UTC
No changes or fixes needed; please refer to bug 823965 comment 22 and bug 823965 comment 23.

Comment 3 Jan Bednarik 2014-09-09 14:31:25 UTC
Moving to VERIFIED.

I tested this issue by upgrading both from JON 3.1.2 -> JON 3.3.0 ER02 and JON 3.2.0 -> JON 3.3.0 ER02. Both test cases meet the new criteria specified in bug 823965 comment 22 and bug 823965 comment 23 - the old configuration files are preserved and their new counterparts are saved as *.new.

Version:3.3.0.ER02
Build Number:4fbb183:7da54e2


Note You need to log in before you can comment on or make changes to this bug.